Package Gnumed :: Package timelinelib :: Package time :: Module pytime :: Class StripCentury |
[frames] | no frames]

# Class StripCentury

source code

                 object --+
                          |
    drawing.interface.Strip --+
                              |
                             StripCentury

Instance Methods
label(self, time, major=False) Return the label for this strip at the given time when used as major or minor strip. | source code
start(self, time) Return the start time for this strip and the given time. | source code
increment(self, time) Increment the given time so that it points to the start of the next strip. | source code
get_font(self, time_period) Return the preferred font for this strip | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### label(self, time, major=False) | source code
Return the label for this strip at the given time when used as major or minor strip. Overrides: drawing.interface.Strip.label (inherited documentation)

### start(self, time) | source code
Return the start time for this strip and the given time. For example, if the time is 2008-08-31 and the strip is month, the start would be 2008-08-01. Overrides: drawing.interface.Strip.start (inherited documentation)

### increment(self, time) | source code
Increment the given time so that it points to the start of the next strip. Overrides: drawing.interface.Strip.increment (inherited documentation)

### get_font(self, time_period) | source code
Return the preferred font for this strip Overrides: drawing.interface.Strip.get_font (inherited documentation)